org.springframework.cloud.dataflow.server.config.features

## Class FeaturesProperties

- java.lang.Object
- - org.springframework.cloud.dataflow.server.config.features.FeaturesProperties

-     @ConfigurationProperties(prefix="spring.cloud.dataflow.features")
      public class FeaturesProperties
      extends Object

  Configuration properties for all the features that need to be enabled/disabled at the dataflow server.
  Author:
    Ilayaperumal Gopinathan

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FEATURES_PREFIX`
    `static String` | `SCHEDULES_ENABLED`
    `static String` | `STREAMS_ENABLED`
    `static String` | `TASKS_ENABLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FeaturesProperties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isSchedulesEnabled()`
    `boolean` | `isStreamsEnabled()`
    `boolean` | `isTasksEnabled()`
    `void` | `setSchedulesEnabled(boolean schedulesEnabled)`
    `void` | `setStreamsEnabled(boolean streamsEnabled)`
    `void` | `setTasksEnabled(boolean tasksEnabled)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FEATURES_PREFIX

          public static final String FEATURES_PREFIX

      See Also:
        Constant Field Values

    - #### STREAMS_ENABLED

          public static final String STREAMS_ENABLED

      See Also:
        Constant Field Values

    - #### SCHEDULES_ENABLED

          public static final String SCHEDULES_ENABLED

      See Also:
        Constant Field Values

    - #### TASKS_ENABLED

          public static final String TASKS_ENABLED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FeaturesProperties

          public FeaturesProperties()

  - ### Method Detail

    - #### isStreamsEnabled

          public boolean isStreamsEnabled()

    - #### setStreamsEnabled

          public void setStreamsEnabled(boolean streamsEnabled)

    - #### isTasksEnabled

          public boolean isTasksEnabled()

    - #### setTasksEnabled

          public void setTasksEnabled(boolean tasksEnabled)

    - #### isSchedulesEnabled

          public boolean isSchedulesEnabled()

    - #### setSchedulesEnabled

          public void setSchedulesEnabled(boolean schedulesEnabled)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.